import request from '@/utils/request'

// 创建内嵌主子表
export function createDemo03Student3(data) {
  return request({
    url: '/mes/demo03-student3/create',
    method: 'post',
    data: data
  })
}

// 更新内嵌主子表
export function updateDemo03Student3(data) {
  return request({
    url: '/mes/demo03-student3/update',
    method: 'put',
    data: data
  })
}

// 删除内嵌主子表
export function deleteDemo03Student3(id) {
  return request({
    url: '/mes/demo03-student3/delete?id=' + id,
    method: 'delete'
  })
}

// 获得内嵌主子表
export function getDemo03Student3(id) {
  return request({
    url: '/mes/demo03-student3/get?id=' + id,
    method: 'get'
  })
}

// 获得内嵌主子表分页
export function getDemo03Student3Page(params) {
  return request({
    url: '/mes/demo03-student3/page',
    method: 'get',
    params
  })
}
// 导出内嵌主子表 Excel
export function exportDemo03Student3Excel(params) {
  return request({
    url: '/mes/demo03-student3/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// ==================== 子表（学生班级表3） ====================
      // 获得学生班级表3
    export function getDemo03Grade3ByStudentId(studentId) {
      return request({
        url: '/mes/demo03-student3/demo03-grade3/get-by-student-id?studentId=' + studentId,
        method: 'get'
      })
    }
  
// ==================== 子表（学生课程表3） ====================
      // 获得学生课程表3列表
    export function getDemo03Course3ListByStudentId(studentId) {
      return request({
        url: '/mes/demo03-student3/demo03-course3/list-by-student-id?studentId=' + studentId,
        method: 'get'
      })
    }
  